%define svndate 20110403
%define svnrev 169
%define snapshot 0%{?svnrev}
%if %{snapshot}
%define svnrelease .%{svndate}svn%{svnrev}
%endif

Name:           atalan
Version:        0
Release:        2%{svnrelease}%{?dist}
Summary:        High level programming language for the 6502 microprocessors

Group:          Development/Languages
License:        MIT
URL:            http://atalan.kutululu.org/
# source repo
#URL:            http://code.google.com/p/atalan/
# fedora-getsvn atalan http://atalan.googlecode.com/svn/trunk/ %{svnrev}
Source0:        http://atalan.kutululu.org/download/%{name}-svn%{svnrev}.tar.bz2
Patch0:         %{name}-linux.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       mads


%description
Atalan is new high level programming language for MOS Technology 6502
microprocessors. It is meant to be used for development on 8bit computers like
Atari 800, C64 etc.

It generates source code for 6502 assembler (MADS). It does not however use any
special features, so other assemblers could be used too. 


%prep
%setup -q -n %{name}
%patch0 -p1 -b .linux

# fix EOLs
sed -i -e 's/\r//g' src/license.txt


%build
pushd src
make %{?_smp_mflags} OPT_CFLAGS="$RPM_OPT_FLAGS" prefix=%{_usr} LIBDIR=%{_datadir}/atalan V=1
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd src
make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_usr} LIBDIR=%{_datadir}/atalan
popd

# cleanup
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/platform/atari/mads.exe


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc src/license.txt doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}


%changelog
* Sun Apr 17 2011 Dan Horák <dan[at]danny.cz> - 0-2.20110403svn169
- updated to svn revision 169

* Sat Oct 16 2010 Dan Horák <dan[at]danny.cz> - 0-1.20101003svn63
- initial Fedora version
